<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span>PO Approval</span>
            </h5>
            <p-dataTable
                [value]="purchaseOrders"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idOrder"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['../product-purchase-order-new']">
                        </button>
                    </div>
                    <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                name="currentSearch" placeholder="{{ 'mpmApp.purchaseOrder.home.search' | translate }}">
                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.purchaseOrder.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.purchaseOrder.internal'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.internalId">
                            <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalIdInternal}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.purchaseOrder.dateOrder'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dateOrder | date:'dd MMM yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.purchaseOrder.orderNumber'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.orderNumber}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.purchaseOrder.orderType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.orderTypeDescription}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.purchaseOrder.vendor'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.vendorId">
                            <a [routerLink]="['../vendor', rowData.vendorId  ]" >{{rowData.vendorIdVendor}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.purchaseOrder.status'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.currentStatus}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.purchaseOrder.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <a [routerLink]="['../purchase-order-approval/'+ rowData.idOrder + '/edit']">Detail</a>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>